## org.h2.table
Class SingleColumnResolver

    java.lang.Object
      org.h2.table.SingleColumnResolver

All Implemented Interfaces:
  ColumnResolver

    public class SingleColumnResolver

extends java.lang.Object
implements ColumnResolver

The single column resolver is like a table with exactly one row. It is used to parse a simple one-column check constraint.

Method Summary
`Column[]` `getColumns()` Get the column list.
`Column` `getRowIdColumn()` Get the row id pseudo column, if there is one.
`java.lang.String` `getSchemaName()` Get the schema name.
`Select` `getSelect()` Get the select statement.
`Column[]` `getSystemColumns()` Get the list of system columns, if any.
`java.lang.String` `getTableAlias()` Get the table alias.
`TableFilter` `getTableFilter()` Get the table filter.
`Value` `getValue(Column col)` Get the value for the given column.
`Expression` `optimize(ExpressionColumn expressionColumn, Column col)` Get the expression that represents this column.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTableAlias

    public java.lang.String getTableAlias()

  Description copied from interface: `ColumnResolver`
  Get the table alias.

  Specified by:
    `getTableAlias` in interface `ColumnResolver`
  Returns:
    the table alias

### getValue

    public Value getValue(Column col)

  Description copied from interface: `ColumnResolver`
  Get the value for the given column.

  Specified by:
    `getValue` in interface `ColumnResolver`
  Parameters:
    `col` - the column
  Returns:
    the value

### getColumns

    public Column[] getColumns()

  Description copied from interface: `ColumnResolver`
  Get the column list.

  Specified by:
    `getColumns` in interface `ColumnResolver`
  Returns:
    the column list

### getSchemaName

    public java.lang.String getSchemaName()

  Description copied from interface: `ColumnResolver`
  Get the schema name.

  Specified by:
    `getSchemaName` in interface `ColumnResolver`
  Returns:
    the schema name

### getTableFilter

    public TableFilter getTableFilter()

  Description copied from interface: `ColumnResolver`
  Get the table filter.

  Specified by:
    `getTableFilter` in interface `ColumnResolver`
  Returns:
    the table filter

### getSelect

    public Select getSelect()

  Description copied from interface: `ColumnResolver`
  Get the select statement.

  Specified by:
    `getSelect` in interface `ColumnResolver`
  Returns:
    the select statement

### getSystemColumns

    public Column[] getSystemColumns()

  Description copied from interface: `ColumnResolver`
  Get the list of system columns, if any.

  Specified by:
    `getSystemColumns` in interface `ColumnResolver`
  Returns:
    the system columns or null

### getRowIdColumn

    public Column getRowIdColumn()

  Description copied from interface: `ColumnResolver`
  Get the row id pseudo column, if there is one.

  Specified by:
    `getRowIdColumn` in interface `ColumnResolver`
  Returns:
    the row id column or null

### optimize

    public Expression optimize(ExpressionColumn expressionColumn,
                               Column col)

  Description copied from interface: `ColumnResolver`
  Get the expression that represents this column.

  Specified by:
    `optimize` in interface `ColumnResolver`
  Parameters:
    `expressionColumn` - the expression column
    `col` - the column
  Returns:
    the optimized expression